2021-06-16 21:50 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000002HomeParty Rep 2.0[All Projects] Dashboardpublic2016-07-22 12:44
Reporterreps 
Assigned Toadministrator 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in VersionBeta 
Summary0000002: Rep Incentive order
DescriptionTypeError at /en/basket/
unsupported operand type(s) for +: 'Decimal' and 'NoneType'
Request Method: GET
Request URL: http://beta.homepartyrep.com/en/basket/
Django Version: 1.8.3
Exception Type: TypeError
Exception Value:
unsupported operand type(s) for +: 'Decimal' and 'NoneType'
Exception Location: /var/sites/hprshop/hprshop/checkout/calculators.py in calculate, line 22
Python Executable: /usr/bin/python
Python Version: 2.7.3
Python Path:
['/var/sites/hprshop',
 '/usr/lib/python2.7/site-packages',
 '/usr/lib/python2.7',
 '/usr/lib/python2.7/plat-linux2',
 '/usr/lib/python2.7/lib-tk',
 '/usr/lib/python2.7/lib-old',
 '/usr/lib/python2.7/lib-dynload',
 '/usr/local/lib/python2.7/dist-packages',
 '/usr/lib/python2.7/dist-packages',
 '/usr/lib/python2.7/dist-packages/PIL',
 '/usr/lib/python2.7/dist-packages/gst-0.10',
 '/usr/lib/python2.7/dist-packages/gtk-2.0',
 '/usr/lib/pymodules/python2.7',
 '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',
 '/usr/lib/python2.7/dist-packages/ubuntuone-client',
 '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',
 '/usr/lib/python2.7/dist-packages/ubuntuone-couch',
 '/usr/lib/python2.7/dist-packages/ubuntuone-installer',
 '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol']
Server time: Fri, 22 Jul 2016 15:14:19 +0000
Additional InformationTrying to 'view basket' on Rep incentive order. Hostess order went thru ok.
TagsNo tags attached.
Attach Tags (Separate by ",")
Page Address
Your Name / Site Path
Attached Files

-Relationships
+Relationships

-Notes

~0000001

administrator (administrator)

Seem to be an error related to new gift certificate handling.

~0000002

administrator (administrator)

No default state for party_banked, if no incentives are withdrawn or deposited the value will float Null erroring out all future checks for banked amounts. Fixed this by setting a default of zero.
+Notes

-Issue History
Date Modified Username Field Change
2016-07-22 11:16 reps New Issue
2016-07-22 11:16 reps Status new => assigned
2016-07-22 11:16 reps Assigned To => administrator
2016-07-22 12:06 administrator Note Added: 0000001
2016-07-22 12:06 administrator Status assigned => acknowledged
2016-07-22 12:44 administrator Note Added: 0000002
2016-07-22 12:44 administrator Status acknowledged => closed
2016-07-22 12:44 administrator Resolution open => fixed
2016-07-22 12:44 administrator Fixed in Version => Beta
2017-08-12 10:37 administrator Category Back End => Dashboard
+Issue History